package cn.superdesk.uniorder.dubbo.facade.organisation;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysSupplierExtInvoice;
import cn.superdesk.uniorder.dto.param.organisation.SysSupplierExtInvoiceParam;
import cn.superdesk.uniorder.dto.param.organisation.SysSupplierExtInvoiceQueryCriteria;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:    供应商|商户信息-扩展-发票相关
 * @Author:         linjinyu
 * @Email  linjinyu@avic-s.com
 * @CreateDate:     2021-11-29 16:34:49
 * @UpdateUser:     linjinyu
 * @UpdateDate:     2021-11-29 16:34:49
 * @UpdateRemark:   修改内容
 * @Version:        1.0
 */
public interface DubboSysSupplierExtInvoiceService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysSupplierExtInvoiceParam param);

	@Deprecated
	void updateObj(SysSupplierExtInvoiceParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysSupplierExtInvoice findById(Long id);

	@Deprecated
	PageInfo<SysSupplierExtInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysSupplierExtInvoice> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysSupplierExtInvoice(SysSupplierExtInvoiceParam param);

	void updateSysSupplierExtInvoice(SysSupplierExtInvoiceParam param);

	void updateSysSupplierExtInvoiceSetDefault(SysSupplierExtInvoice entity);

	void deleteSysSupplierExtInvoice(Long id);

	SysSupplierExtInvoice findSysSupplierExtInvoiceById(Long id);

	R<List<SysSupplierExtInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);

	R<List<SysSupplierExtInvoice>> pageQueryGenericParam(SysSupplierExtInvoiceQueryCriteria criteria);
}
